package polling_station_dashboard.search.submitVoter.java;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 18/06/2016.
 * SubmitVoterLoader Loads the submit voter fxml
 */
public class SubmitVoterLoader {

    private static final String SUBMIT_VOTER_FXML_PATH = "../fxml/submit_voter.fxml";

    private Stage currentStage;

    public SubmitVoterLoader (Stage primaryStage) throws IOException
    {
        currentStage = primaryStage;
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource(SUBMIT_VOTER_FXML_PATH));
        Parent root = fxmlLoader.load();
        SubmitVoterController controller = fxmlLoader.getController();

        Pane addEditPane = (Pane)currentStage.getScene().lookup("#AddEditPane");
        addEditPane.getChildren().add(root);
        controller.SetStage(primaryStage);
    }
}
